Class | CompositePublisher
In: | lib/rake/contrib/publisher.rb
Parent: | Object

Manage several publishers as a single entity.

### Methods

add new upload

### Public Class methods

new()

[Source]

        # File lib/rake/contrib/publisher.rb, line 21
    21:   def initialize
    22:     @publishers = []
    23:   end

### Public Instance methods

add(pub)

Add a publisher to the composite.

[Source]

        # File lib/rake/contrib/publisher.rb, line 26
    26:   def add(pub)
    27:     @publishers << pub
    28:   end

upload()

Upload all the individual publishers.

[Source]

        # File lib/rake/contrib/publisher.rb, line 31
    31:   def upload
    32:     @publishers.each { |p| p.upload }
    33:   end

[Validate]